Skip to content

Get 'CapitalContributionNotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/brf/capitalcontributions/capitalcontributionnotation/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/brf/capitalcontributions/capitalcontributionnotation/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

brf_apartmentobject(BrfApartment)required
as_of_datestring, (date)required
valuenumber, (float)required
kindinteger, (int32), [ -2147483648 .. 2147483647 ]required

Additional Validation Information:

Enum Descriptions:

  • 0 - Amortization Continous

  • 1 - Amortization

  • 2 - Improvements

Enum:012
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
collectionobject or null(CapitalContributionNotationCollection)
used_quota_collectionobject or null(QuotaCollection)
commentstring or null
registered_byobject or null(OrganizationUser)
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "brf_apartment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "collection": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "as_of_date": "2019-08-24", "value": 0.1, "kind": 0, "used_quota_collection": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "comment": "string", "registered_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }